#!/usr/bin/env python

from distutils.core import setup
import glob, os, commands, sys

data_files = []
if sys.argv[1] == 'install':
	if not os.path.isdir('build'):
		os.makedirs('build')
	os.system('intltool-merge -d po src/startupmanager.desktop.in build/startupmanager.desktop')
	data_files += [('share/applications', ['build/startupmanager.desktop'])]
	os.system('intltool-merge -d po src/startupmanager-kde.desktop.in build/startupmanager-kde.desktop')
	data_files += [('share/applications/kde', ['build/startupmanager-kde.desktop'])]
	for name in os.listdir(os.path.join(os.path.realpath('.'), 'po')):
		if name[-2:] == 'po':
			if not os.path.isdir('build/locale/' + name[:-3]):
				os.makedirs('build/locale/' + name[:-3])
			os.system('msgfmt -o build/locale/' + name[:-3] + '/startupmanager.mo po/' + name[:-3] + '.po')
			data_files.append(('share/locale/' + name[:-3] + '/LC_MESSAGES', ['build/locale/' + name[:-3] + '/startupmanager.mo']))

setup(
	name = 'startupmanager',
	version = '1.3',
	description = 'Configure Grub and Usplash settings',
	author = 'Jimmy Rönnholm',
	author_email = 'jimmy.ronnholm@telia.com',
	url = 'http://web.telia.com/~u88005282/sum/',
	packages = ['Startupmanager'],
	package_dir = {'Startupmanager': 'src/Startupmanager'},
	package_data = {'Startupmanager': ['startupmanager.glade', 'images/*.svg']},
	scripts = ['src/startupmanager'],
	data_files = data_files,
	license = 'GNU GPL',
	platforms = 'posix',
	)

if sys.argv[1] == 'clean':
	for root, dirs, files in os.walk('build', topdown=False):
		for name in files:
			os.remove(os.path.join(root, name))
		for name in dirs:
			os.rmdir(os.path.join(root, name))
	if os.path.isdir('build'):
		os.rmdir('build')
